Back
v1.99.7: Candidate Form - Password-Protected PDF (2026-10-23)

What's Changed


GET /files
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > File included relations

    • Added property isPasswordProtected (boolean)

      The PDF opens only with the password set at upload; the password is not stored

POST /files
Request:

Changed content type : multipart/form-data

  • Added property password (string)

    Protects the PDF with this open password (1 to 32 printable ASCII characters, a digits-only password is allowed). PDF and private files only; Admin v2 only, company API tokens get FILE_PASSWORD_IS_NOT_ALLOWED. The password is never stored. Omit the field for an ordinary upload; an empty value is rejected with FILE_PASSWORD_IS_NOT_VALID.

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property isPasswordProtected (boolean)

      The PDF opens only with the password set at upload; the password is not stored

GET /files/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property isPasswordProtected (boolean)

      The PDF opens only with the password set at upload; the password is not stored

GET /admin-user-signatures
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Admin user signature included relations

    • Changed property original (object)

      File

      • Added property isPasswordProtected (boolean)

        The PDF opens only with the password set at upload; the password is not stored

GET /admin-user-signatures/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property original (object)

      File

      • Added property isPasswordProtected (boolean)

        The PDF opens only with the password set at upload; the password is not stored

POST /candidates/bulk
Request:

Changed content type : application/json

  • Changed property forms (array)

    Candidate Forms data

    Changed items (object):

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

GET /candidate-selfies
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate selfie included relations

    • Changed property frontThumbnail (object)

      File

      • Added property isPasswordProtected (boolean)

        The PDF opens only with the password set at upload; the password is not stored

GET /candidate-selfies/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property frontThumbnail (object)

      File

      • Added property isPasswordProtected (boolean)

        The PDF opens only with the password set at upload; the password is not stored

GET /candidate-forms/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property isPdfPasswordProtected (boolean)

      Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

    • Changed property additions (array)

      Array of addition candidate forms

      Changed items (object): > Candidate Form properties

      • Added property isPdfPasswordProtected (boolean)

        Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

PATCH /candidate-forms/{id}
Request:

Changed content type : application/json

  • Changed property actions (array)

    Form actions (at least one action required);

    Please note that allowable actions depend on the type of the original form:

    file, readonly and combo types: read, eSign, download

    editable type: complete, eSign, download

    A candidate form whose PDF is password-protected always has exactly download.

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property isPdfPasswordProtected (boolean)

      Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

PUT /candidate-forms/{id}/{action}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property isPdfPasswordProtected (boolean)

      Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

GET /forms
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Form properties

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

POST /forms
Request:

Changed content type : application/json

  • Changed property actions (array)

    Form actions (at least one action required);

    Please note that allowable actions depend on the type of the original form:

    file, readonly and combo types: read, eSign, download

    editable type: complete, eSign, download

    A candidate form whose PDF is password-protected always has exactly download.

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

GET /forms/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

PATCH /forms/{id}
Request:

Changed content type : application/json

  • Changed property actions (array)

    Form actions (at least one action required);

    Please note that allowable actions depend on the type of the original form:

    file, readonly and combo types: read, eSign, download

    editable type: complete, eSign, download

    A candidate form whose PDF is password-protected always has exactly download.

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

POST /forms/{id}/duplicate
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

GET /candidate-forms
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate Form properties

    • Added property isPdfPasswordProtected (boolean)

      Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

    • Changed property additions (array)

      Array of addition candidate forms

      Changed items (object): > Candidate Form properties

      • Added property isPdfPasswordProtected (boolean)

        Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

POST /candidate-forms
Request:

Changed content type : application/json

  • Changed property actions (array)

    Form actions (at least one action required);

    Please note that allowable actions depend on the type of the original form:

    file, readonly and combo types: read, eSign, download

    editable type: complete, eSign, download

    A candidate form whose PDF is password-protected always has exactly download.

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property isPdfPasswordProtected (boolean)

      Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

PUT /candidate-forms
Request:

Changed content type : application/json

  • Changed property update (array)

    Changed items (object):

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property created (array)

      Created candidate forms

      Changed items (object): > Candidate Form properties

      • Added property isPdfPasswordProtected (boolean)

        Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

GET /scenarios
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Scenario included relations

    • Changed property forms (array)

      Scenario forms

      Changed items (object): > Form properties

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

POST /scenarios
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property forms (array)

      Scenario forms

      Changed items (object): > Form properties

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

GET /scenarios/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property forms (array)

      Scenario forms

      Changed items (object): > Form properties

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

PATCH /scenarios/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property forms (array)

      Scenario forms

      Changed items (object): > Form properties

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

GET /candidatePresets
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate Preset included relations

    • Changed property forms (array)

      Forms to be applied to the candidate.

      Changed items (object):

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

POST /candidatePresets
Request:

Changed content type : application/json

  • Changed property forms (array)

    Forms to be applied to the candidate.

    Changed items (object):

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property forms (array)

      Forms to be applied to the candidate.

      Changed items (object):

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

GET /candidatePresets/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property forms (array)

      Forms to be applied to the candidate.

      Changed items (object):

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

PATCH /candidatePresets/{id}
Request:

Changed content type : application/json

  • Changed property forms (array)

    Forms to be applied to the candidate.

    Changed items (object):

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property forms (array)

      Forms to be applied to the candidate.

      Changed items (object):

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

GET /registration-pages
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property forms (array)

      Related documents

      Changed items (object):

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

GET /registration-pages/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property forms (array)

      Related documents

      Changed items (object):

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

POST /candidates
Request:

Changed content type : application/json

  • Changed property forms (array)

    Candidate Forms to assign to the candidate

    Changed items (object): > Candidate Form to assign to the candidate on creation

    • Changed property actions (array)

      Form actions (at least one action required);

      Please note that allowable actions depend on the type of the original form:

      file, readonly and combo types: read, eSign, download

      editable type: complete, eSign, download

      A candidate form whose PDF is password-protected always has exactly download.

GET /signature-requests
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Signature request included relations

    • Changed property candidateForm (object)

      Candidate Form properties

      • Added property isPdfPasswordProtected (boolean)

        Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.

GET /signature-requests/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidateForm (object)

      Candidate Form properties

      • Added property isPdfPasswordProtected (boolean)

        Read-only. The PDF opens only with a password given to the candidate outside CheckHub; the form is download-only, with no preview and no signature

      • Changed property actions (array)

        Form actions (at least one action required);

        Please note that allowable actions depend on the type of the original form:

        file, readonly and combo types: read, eSign, download

        editable type: complete, eSign, download

        A candidate form whose PDF is password-protected always has exactly download.